## hdf5 1.10.0-patch1+docs

=== debian/changelog ===
hdf5 (1.10.0-patch1+docs-4) unstable; urgency=medium

  * debian/rules: fix javahelper invocation (closes: #871506)

 -- Gilles Filippini <pini@debian.org>  Sun, 13 Aug 2017 18:50:36 +0200

hdf5 (1.10.0-patch1+docs-3) unstable; urgency=medium

  * Enable openmpi flavor on hppa (closes: #833457)
  * Fix missing symbols for powerpcspe 'closes: #842595)

 -- Gilles Filippini <pini@debian.org>  Mon, 05 Dec 2016 09:27:39 +0100

hdf5 (1.10.0-patch1+docs-2) unstable; urgency=medium

  * Don't build the java wrapper library on hppa and hurd-i386 where
    there is no JDK >= 1.7

 -- Gilles Filippini <pini@debian.org>  Fri, 02 Dec 2016 11:32:12 +0100

hdf5 (1.10.0-patch1+docs-2~exp2) experimental; urgency=medium

  * Fix FTBFS on kfreebsd-*

 -- Gilles Filippini <pini@debian.org>  Thu, 01 Dec 2016 21:52:43 +0100

hdf5 (1.10.0-patch1+docs-2~exp1) experimental; urgency=medium

  * New binary packages for the java wrapper library which is now
    integrated into the HDF5 source tree: libhdf5-java and libhdf5-jni
  * New patch java-runtime-exception.patch to define HDF5Exception as
    a subclass of RuntimeException, to make it an unchecked exception

 -- Gilles Filippini <pini@debian.org>  Tue, 29 Nov 2016 00:38:20 +0100

hdf5 (1.10.0-patch1+docs-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Mon, 28 Nov 2016 09:01:23 +0100

hdf5 (1.10.0-patch1+docs-1~exp6) experimental; urgency=medium

  * Fix FTBFS when building arch-all only

 -- Gilles Filippini <pini@debian.org>  Sat, 26 Nov 2016 20:58:15 +0100

hdf5 (1.10.0-patch1+docs-1~exp5) experimental; urgency=medium

  * New patches CVE-2016-433*.patch from upstream develop branch
    to fix four vulnerabilities unveiled by TALOS (closes: #845301,
    CVE-2016-4330, CVE-2016-4331, CVE-2016-4332, CVE-2016-4333)

 -- Gilles Filippini <pini@debian.org>  Thu, 24 Nov 2016 23:30:44 +0100

hdf5 (1.10.0-patch1+docs-1~exp4) experimental; urgency=medium

  * Move setting of substvar ${hdf5-mpi-dev} into dh_makeshlib; it was
    ignored when set at configure step

 -- Gilles Filippini <pini@debian.org>  Fri, 22 Jul 2016 21:43:25 +0200

hdf5 (1.10.0-patch1+docs-1~exp3) experimental; urgency=medium

  * Set default plugins dir to /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/plugins
  * Symbols files:
    - CPP: use flag arch-its=64 instead of enumerating non 64 bits
      architectures

 -- Gilles Filippini <pini@debian.org>  Tue, 28 Jun 2016 22:47:41 +0200

hdf5 (1.10.0-patch1+docs-1~exp2) experimental; urgency=medium

  * Symbols files:
    - Drop ~alpha, ~pre and -patch parts of 1.10.0 release symbols.
      They all belong to 1.10.0 release.
    - Reintroduce previously dropped cpp symbols, with flag
      arch-bits!=64.

 -- Gilles Filippini <pini@debian.org>  Tue, 24 May 2016 23:56:39 +0200

hdf5 (1.10.0-patch1+docs-1~exp1) experimental; urgency=medium

  * New upstream release
  * PHP7.0 transition: Build-Depends-Indep: php-cli (instead of
    php5-cli)
  * Symbols files:
    - Update from new release
    - Fix arch specific symbols for remaining architectures but sh4 and
      powerpcspe
  * Standars-Version: bump to 3.9.8 (no changes)

 -- Gilles Filippini <pini@debian.org>  Sat, 21 May 2016 15:54:13 +0200

hdf5 (1.10.0+docs-1~exp3) experimental; urgency=medium

  * debian/control.in:
    * Use Build-Depends-Indep
    * Drop - now - useless versioned Build-Depends on dpkg-dev
  * Symbols files: fix arch specific symbols for release architectures

 -- Gilles Filippini <pini@debian.org>  Thu, 21 Apr 2016 14:20:09 +0200

hdf5 (1.10.0+docs-1~exp2) experimental; urgency=medium

  * debian/rules:
    - Migrate to dh with compat=10
    - Drop flag OMPI_MCA_disable_memory_allocator (old workaround for
      bug #531522)
  * Drop *-dbg packages, superseded by automatic debug packages
  * Symbols files:
    - Start fixing new arch-specific symbols (arch-bits=64)
    - Temporarily set DPKG_GENSYMBOLS_CHECK_LEVEL=0 to catch all other
      diffs at once

 -- Gilles Filippini <pini@debian.org>  Mon, 18 Apr 2016 18:58:54 +0200

hdf5 (1.10.0+docs-1~exp1) experimental; urgency=medium

  * New upstream release
  * Integration of Java HDF5 JNI into the source tree (not enabled in
    the build)

  * Refresh lintian overrides
  * Drop patches:
    - format-not-a-string-literal-and-no-format-arguments.patch: fixed
      upstream
    - hurd-sigsetjmp.patch: no more needed now that #800900 is fixed
  * Refresh other patches
  * libhdf5-cpp-<SONAME_CXX>: drop versioned dependency on libhdf5-<SONAME>
    to ease future transitions
  * debian/rules:
    - improve soname retrieval
    - replace deprecated '--enable-production' with '--enable-build-mode'
  * debian/watch: use dirversionmangle to have upstream releases properly
    sorted
  * Bump Standards-Version to 3.9.7 (no change)

 -- Gilles Filippini <pini@debian.org>  Sat, 16 Apr 2016 09:24:06 +0200
