=== debian/watch ===
version=3
opts="dversionmangle=s/\+docs\d*$//;s/~(alpha|pre)/-\\1/,dirversionmangle=s/-(alpha|pre)/~\\1/" \
	ftp://ftp.hdfgroup.org/HDF5/releases/hdf5-(.*)/hdf5-(.*)/src/ \
	hdf5-(.*).tar.gz \
	debian debian/orig-tar.sh
